关于buildah容器逃逸漏洞(CVE-2024-1753)的预警提示

发布时间:2024-03-26浏览次数:22

一、漏洞详情

Buildah是一款基于Linux的开源工具,用于构建兼容开发容器计划(OCI)的容器。

近日,监测到buildah中修复了一个容器逃逸漏洞(CVE-2024-1753)。Buildah 1.35.1版本之前存在漏洞,可能导致容器将主机文件系统上的任意位置挂载到构建容器中。威胁者可通过恶意Containerfile使用带有指向/文件系统的符号链接的虚拟映像作为挂载源,并导致挂载操作在RUN 步骤内挂载主机/文件系统,RUN步骤中的命令将具有对主机文件系统的读/写访问权限,从而在构建时实现容器逃逸。

建议受影响用户做好资产自查以及预防工作,以免遭受黑客攻击。

二、影响范围

Buildah <=1.35.0

三、修复建议

目前该漏洞已经修复,受影响用户可升级到Buildah 1.35.1或更高版本。